Bug 196501 - "Error synchronizing project..." occurs periodically
"Error synchronizing project..." occurs periodically
Status: RESOLVED WORKSFORME
Product: cnd
Classification: Unclassified
Component: Remote
7.0
PC Windows 7 x64
: P3 (vote)
: 7.0
Assigned To: Vladimir Kvashin
issues@cnd
FULL_REMOTE, fix-in-nb701
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 14:52 UTC by Alexander Pepin
Modified: 2011-05-04 11:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2011-03-09 14:52:18 UTC
While working with full remote project on windows exclamation window with the message "Error syncronazing project to <login>@<host> null" appears quite often.

IDE log contains:
INFO [cnd.remote.logger]: Error synchronizing project to tester@amkar: null
Comment 1 Vladimir Kvashin 2011-03-10 05:57:12 UTC
I made a better diagnostics for this (just pushed: http://hg.netbeans.org/cnd-main/rev/8eb9ca043685) - a stack is printed in log in addition.
Should this happen again, please attach the stack.
Comment 2 Quality Engineering 2011-03-11 09:40:16 UTC
Integrated into 'main-golden', will be available in build *201103110400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8eb9ca043685
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: better diagnostics for #196501 Error synchronizing project
Comment 3 Leonid Lenyashin 2011-03-12 12:52:34 UTC
Is it "incomplete"?
Comment 4 Vladimir Kvashin 2011-03-14 06:46:02 UTC
I'm not able to reproduce this.
Should it repeat, please reopen and attach stack trace from IDE log.
Comment 5 Alexander Pepin 2011-03-14 14:55:37 UTC
Now "Error synchronizing..." appears on deleting imported full remote project:

INFO [cnd.remote.logger]: Error synchronizing project to hudson@nyx-intel3
java.io.FileNotFoundException: Remote file or directory file:/C:/Users/ap153252/AppData/Local/Temp/test_io_shadow6600621547927857575.tmp/nbproject/project.xml does not exist
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.getFileObject(ShadowProjectSynchronizer.java:490)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProjectXml(ShadowProjectSynchronizer.java:431)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProjectImpl(ShadowProjectSynchronizer.java:293)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProject(ShadowProjectSynchronizer.java:172)
[catch] at org.netbeans.modules.cnd.makeproject.actions.FullRemoteExtensionProviderImpl.updateRemoteProject(FullRemoteExtensionProviderImpl.java:130)
	at org.netbeans.modules.cnd.makeproject.actions.FullRemoteExtensionProviderImpl.configurationSaved(FullRemoteExtensionProviderImpl.java:105)
	at org.netbeans.modules.cnd.makeproject.FullRemoteExtension.configurationSaved(FullRemoteExtension.java:73)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:770)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:715)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:702)
	at org.netbeans.modules.cnd.makeproject.MakeProject.save(MakeProject.java:1177)
	at org.netbeans.modules.cnd.makeproject.MakeProject.onProjectClosed(MakeProject.java:1161)
	at org.netbeans.modules.cnd.makeproject.MakeProject.access$1400(MakeProject.java:154)
	at org.netbeans.modules.cnd.makeproject.MakeProject$ProjectOpenedHookImpl.projectClosed(MakeProject.java:1198)
	at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectClosed(ProjectOpenedHook.java:87)
	at org.netbeans.spi.project.ui.support.UILookupMergerSupport$OpenHookImpl.projectClosed(UILookupMergerSupport.java:208)
	at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectClosed(ProjectOpenedHook.java:87)
	at org.netbeans.modules.project.ui.OpenProjectList.notifyClosed(OpenProjectList.java:1158)
	at org.netbeans.modules.project.ui.OpenProjectList.access$2500(OpenProjectList.java:136)
	at org.netbeans.modules.project.ui.OpenProjectList$9.run(OpenProjectList.java:833)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
INFO [org.netbeans.modules.cnd.api.project.NativeProjectRegistry]: Close native project test_io /export/hudson/home/working/test_io
Comment 6 Vladimir Kvashin 2011-03-14 17:12:58 UTC
Now I see. Thanks.Hope to fix soon.
Comment 7 Vladimir Kvashin 2011-03-15 08:58:35 UTC
fixed in cnd-main
http://hg.netbeans.org/cnd-main/rev/8392668078da
Comment 8 Vladimir Kvashin 2011-03-15 14:01:33 UTC
additional fix
http://hg.netbeans.org/cnd-main/rev/a17ea1527b94
Comment 9 Quality Engineering 2011-03-16 09:44:31 UTC
Integrated into 'main-golden', will be available in build *201103160400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8392668078da
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #196501 - "Error synchronizing project to <login>@<host> null"
Comment 10 Alexander Pepin 2011-03-16 14:40:15 UTC
please review the fix and push into RC1 branch.
Comment 11 Alexander Pepin 2011-03-16 14:54:36 UTC
verified in dev build #4982
Comment 12 Vladimir Kvashin 2011-03-16 15:05:49 UTC
The fixes that were verified by QA in dev. build also include the following change sets (all of them are tightly related to each other):

http://hg.netbeans.org/cnd-main/rev/d290f4bd3c4d
http://hg.netbeans.org/cnd-main/rev/8eb9ca043685
http://hg.netbeans.org/cnd-main/rev/d290f4bd3c4d

Alexander Simon, could you review changes please.
Comment 13 Alexander Simon 2011-03-16 17:47:31 UTC
Fix 
http://hg.netbeans.org/cnd-main/rev/d290f4bd3c4d
was verified in bug #196496 FileNotFoundException on closing full remote project if the original project is deleted.

Fix
http://hg.netbeans.org/main/rev/8392668078da
is correct and safe.

Change set:
http://hg.netbeans.org/main/rev/8eb9ca043685
is a trace&comment. It is safe.
Comment 15 Alexander Pepin 2011-03-18 14:37:38 UTC
verified in RC1 20110317
Comment 16 Alexander Pepin 2011-03-24 14:42:42 UTC
The original bug is still appearing from time to time. IDE log gives:
INFO [cnd.remote.logger]: Error synchronizing project to hudson@nyx-intel2
java.io.FileNotFoundException
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.getInputStream(FileObj.java:152)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.copyImpl(ShadowProjectSynchronizer.java:728)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.copy(ShadowProjectSynchronizer.java:703)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.copy(ShadowProjectSynchronizer.java:695)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProjectImpl(ShadowProjectSynchronizer.java:288)
	at org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProject(ShadowProjectSynchronizer.java:172)
[catch] at org.netbeans.modules.cnd.makeproject.actions.FullRemoteExtensionProviderImpl.updateRemoteProject(FullRemoteExtensionProviderImpl.java:130)
	at org.netbeans.modules.cnd.makeproject.actions.FullRemoteExtensionProviderImpl.configurationSaved(FullRemoteExtensionProviderImpl.java:105)
	at org.netbeans.modules.cnd.makeproject.FullRemoteExtension.configurationSaved(FullRemoteExtension.java:73)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:779)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:724)
	at org.netbeans.modules.cnd.makeproject.api.ProjectSupport.saveAllProjects(ProjectSupport.java:81)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.onSaveStep(MakeActionProvider.java:510)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:470)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:456)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:148)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:327)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1537)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
	at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 17 Alexander Pepin 2011-04-01 14:19:58 UTC
In build #5076 I get "Error synchronizing project..." and IDE log contains:
INFO [cnd.remote.logger]: Error synchronizing project to hudson@nyx-intel2
java.io.IOException: Can not create folder private in
hudson@nyx-intel2:22:/export/hudson/home/working/Quote_mkfb_proj/nbproject/private/full_remote_tmp
    at
org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.getOrCreateFileObject(ShadowProjectSynchronizer.java:677)
    at
org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.copy(ShadowProjectSynchronizer.java:688)
    at
org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.copy(ShadowProjectSynchronizer.java:695)
    at
org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.copy(ShadowProjectSynchronizer.java:683)
    at
org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProjectImpl(ShadowProjectSynchronizer.java:318)
    at
org.netbeans.modules.cnd.makeproject.actions.ShadowProjectSynchronizer.updateRemoteProject(ShadowProjectSynchronizer.java:172)
[catch] at
org.netbeans.modules.cnd.makeproject.actions.FullRemoteExtensionProviderImpl.updateRemoteProject(FullRemoteExtensionProviderImpl.java:130)
    at
org.netbeans.modules.cnd.makeproject.actions.FullRemoteExtensionProviderImpl.configurationSaved(FullRemoteExtensionProviderImpl.java:105)
    at
org.netbeans.modules.cnd.makeproject.FullRemoteExtension.configurationSaved(FullRemoteExtension.java:73)
    at
org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:779)
    at
org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:724)
    at
org.netbeans.modules.cnd.makeproject.api.ProjectSupport.saveAllProjects(ProjectSupport.java:80)
    at
org.netbeans.modules.cnd.makeproject.MakeActionProvider.onSaveStep(MakeActionProvider.java:510)
    at
org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:470)
    at
org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:456)
    at
org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:148)
    at
org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:327)
    at
org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1537)
    at
org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
    at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
    at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
    at
org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 18 AlyonaStashkova 2011-04-05 11:51:45 UTC
Added to NB 7.0 Release Notes
Comment 19 Vladimir Kvashin 2011-04-05 12:25:20 UTC
Workaround: just ignore this message. 
Your project will be synchronized to remote host next time (when you change project or item properties or just build the project).
Comment 20 Vladimir Kvashin 2011-05-04 11:38:32 UTC
No shadow projects - no issue :)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo